/*
 * Copyright (c) 2023-2025 Datalayer, Inc.
 * Distributed under the terms of the Modified BSD License.
 */
import { uniqueNamesGenerator, names } from 'unique-names-generator';
import { newUlid } from '../../utils/index.js';
import { newSpaceMock } from './SpaceMock.js';
import { newUserMock } from './UserMock.js';
export const newCourseMock = (name) => {
    const course = {
        id: newUlid(),
        owner: newUserMock(uniqueNamesGenerator({ dictionaries: [names] }), uniqueNamesGenerator({ dictionaries: [names] })),
        handle: newUlid(),
        type: 'space',
        variant: 'course',
        name: name,
        description: name + ' description.',
        public: false,
        creationDate: new Date(),
        items: [],
        itemIds: [],
        seedSpace: newSpaceMock('space content'),
    };
    return course;
};
export const COURSE_1_MOCK = newCourseMock('Course 1');
export const COURSE_2_MOCK = newCourseMock('Course 2');
export const COURSE_3_MOCK = newCourseMock('Course 3');
export const COURSES_MOCK = [COURSE_1_MOCK, COURSE_2_MOCK, COURSE_3_MOCK];
